apptainer(1)

NAME

apptainer-remote - Manage apptainer remote endpoints, keyservers and OCI/Docker registry credentials

SYNOPSIS

apptainer remote [remote options...]

DESCRIPTION

The 'remote' command allows you to manage Apptainer remote endpoints,
  standalone keyservers and OCI/Docker registry credentials through its
  subcommands.

A 'remote endpoint' is a group of services that is compatible with the
  container library API. The remote endpoint is a single address,
  e.g. 'cloud.example.com' through which library and/or keystore services
  will be automatically discovered.

To configure a remote endpoint you must 'remote add' it. You can 'remote login' if
  you will be performing actions needing authentication. Switch between
  configured remote endpoints with the 'remote use' command. The active remote
  endpoint will be used for key operations, and 'library://' pull
  and push. You can also 'remote logout' from and 'remote remove' an endpoint that
  is no longer required.

To configure credentials for OCI registries that should be used when pulling or
  pushing from/to 'docker://'' or 'oras://' URIs, use the 'remote login' command
  only. You do not have to 'remote add' OCI registries. To remove credentials
  'remote logout' with the same URI. You do not need to 'remote remove' OCI
  credentials.

The remote configuration is stored in $HOME/.apptainer/remotes.yaml by default.

OPTIONS

-c, --config="/builddir/.apptainer/remote.yaml"
    path to the file holding remote endpoint configurations

-h, --help[=false]
    help for remote

EXAMPLE

      All group commands have their own help output:
        $ apptainer help remote list
        $ apptainer remote list

SEE ALSO

apptainer(1), apptainer-remote-add(1), apptainer-remote-add-keyserver(1), apptainer-remote-get-login-password(1), apptainer-remote-list(1), apptainer-remote-login(1), apptainer-remote-logout(1), apptainer-remote-remove(1), apptainer-remote-remove-keyserver(1), apptainer-remote-status(1), apptainer-remote-use(1)

HISTORY

11-Oct-2023 Auto generated by spf13/cobra